#include "testlib.h"
#include <cmath>
#include <iostream>
#include <cstdio>
#include <cstdlib>

using namespace std;

double dist(int x, int y) {
    return sqrt(x * 1ll * x + y * 1ll * y);
}

//argv[1] -- left test
//argv[2] -- right test
//argv[3] -- max N
//argv[4] -- max R

//center of cirlce always in 0 0

int main(int argc, char * argv[]) {
registerGen(argc, argv);
for (int tests = atoi(argv[1]); tests <= atoi(argv[2]); ++tests) {
    bool neg = false;
    if (rnd.next(0, 10) % 2 == 1)
        neg = true;
    char s[10];
    sprintf(s, "%d", tests);
    freopen(s, "w", stdout);

    int n = rnd.wnext(1, atoi(argv[3]), 2);
    cout << n;
    int r = rnd.wnext(1, atoi(argv[4]), 2);
    cout << " " << r << " 0 0" << endl;
    for (int i = 0; i < n; ++i) {
        int x = rnd.next(neg ? -r : 0, r);
        int y = rnd.next(neg ? -r : 0, r);
        if (dist(x, y) > r) {
            --i;
            continue;
        }
        cout << x << " " << y << endl;
    }
}
}
