#include <iostream>
#include <cmath>
#include <cstdio>
#include <vector>

using namespace std;

int main() {
    freopen("cake.in","r",stdin);
    freopen("cake.out","w",stdout);

    int n, r, cx, cy;
//    cin >> n >> r >> cx >> cy;
    scanf("%d%d%d%d", &n, &r, &cx, &cy);
    cerr << n << " " << r << " " << cx << " " << cy << endl;

    vector<pair<double, double> > ans; 

    for (double ang = 0; ang < M_PI * 2; ang += 1e-1)
        ans.push_back(make_pair(cx + r * cos(ang), cy + r * sin(ang)));

    printf("%d\n", ans.size());
    for (int i = 0; i < ans.size(); ++i)
        printf("%.6f %.6f\n", ans[i].first, ans[i].second);
}
