#pragma comment(linker, "/STACK:1000000000")
#include <cstdio>
#include <cmath>
#include <cstdlib>
#include <cassert>
#include <ctime>
#include <cstring>
#include <string>
#include <set>
#include <map>
#include <vector>
#include <list>
#include <deque>
#include <queue>
#include <sstream>
#include <iostream>
#include <algorithm>

using namespace std;

#define pb push_back
#define mp make_pair
#define fs first
#define sc second

const double pi = acos(-1.0);
const int lim = 222;
const double eps = 1e-10;

int n;
double r, xc, yc;

inline double sqr(double x) {
	return x * x;
}

inline double sol(double c, double a) {
	return sqrt(fabs(sqr(c) - sqr(a)));
}

double dist(const pair <double, double>& a, const pair <double, double>& b) {
	return sqrt(sqr(a.fs - b.fs) + sqr(a.sc - b.sc));
}

bool comp(const pair <double, double>& a, const pair <double, double>& b) {
	if (fabs(a.fs - b.fs) < r * eps) {
		if (fabs(a.sc - b.sc) < r * eps)
			return false;
		else
			return a.sc < b.sc;
	} else {
		return a.fs < b.fs;
	}
}

int main() {
    freopen("cake.in","r",stdin);
    freopen("cake.out","w",stdout);

    //freopen("input.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);

    scanf("%d%lf%lf%lf", &n, &r, &xc, &yc);
    
    printf("%d\n", lim);
    for (int i = 0; i < lim; i++) {
    	printf("%.6lf %.6lf\n", cos(2 * pi * i / lim) * r + xc, sin(2 * pi * i / lim) * r + yc);
    }
    
    return 0;
}