#include <cstdio>
#include <iostream>
#include <vector>
#include <algorithm>
#include <cstdlib>
using namespace std;

int a1, b1, a2,b2;
int d;

const int INF = 2 * 1000000000 + 10;
int best_ans = INF;

inline void update(int n)
{
	int k = ((a1 - d * b1) + 3 * n) % n;
	if (a2 == (k + d * b2 + 3 * n) % n) {
		best_ans = min(best_ans, n);
	}
}

const int max_attemp = 30000000;

int main()
{	
	freopen("posts.in", "r", stdin);
	freopen("posts.out","w", stdout);

	cin >> d >> a1 >> b1 >> a2 >> b2;
	--a1, --a2, --b1, --b2;

	int min_n = max(max(a1,a2),max(b1,b2)) + 1,
		max_n = min_n * 2;
	unsigned int n, k;
	for (int t = 0; t < max_attemp; ++t) {
		n = RAND_MAX * rand() + rand();
		n = min_n + n % (max_n - min_n + 1);
		update(n);
	}
	if (best_ans != INF) {
		cout << best_ans << endl;
	} else {
		cout << -1 << endl;
	}
	return 0;
}
