#include "testlib.h"
#include <cstdio>
#include <cmath>
#include <cstdlib>
#include <cassert>
#include <ctime>
#include <cstring>
#include <string>
#include <set>
#include <map>
#include <vector>
#include <list>
#include <deque>
#include <queue>
#include <sstream>
#include <iostream>
#include <algorithm>

using namespace std;

#define pb push_back
#define mp make_pair
#define fs first
#define sc second

const double pi = acos(-1.0);
const int alph = 26;

void make_noise(string& str, int ns) {
	for (int i = 0; i < ns; i++) {
		int ps = rnd.next(1, (int) str.size());
		str[ps] = char('a' + rnd.next(0, alph - 1));
	}
}

string gencyc(string cyc, int n) {
	string res = "";
	while ((int) res.length() + (int) cyc.length() <= n) {
		res += cyc;
	}

	return res;
}

int main(int argc, char ** argv) {	
	registerGen(argc, argv);
	if (argc != 6) {
		cerr << "Usage: log n, int k, period, int noise, seed" << endl;
		
		return 1;
	}

	int n = atoi(argv[1]);
	int k = atoi(argv[2]);
	string cyc = argv[3];
	int ns = atoi(argv[4]);
	
	string res = gencyc(cyc, n);
	cout << res.size() << ' ' << k << endl;
	make_noise(res, ns);
	cout << res << endl;

	return 0;
}