#include "testlib.h"
#include <cstdio>
#include <cmath>
#include <cstdlib>
#include <cassert>
#include <ctime>
#include <cstring>
#include <string>
#include <set>
#include <map>
#include <vector>
#include <list>
#include <deque>
#include <queue>
#include <sstream>
#include <iostream>
#include <algorithm>

using namespace std;

#define pb push_back
#define mp make_pair
#define fs first
#define sc second

const double pi = acos(-1.0);
const int alph = 26;

void make_noise(string& str, int ns) {
	for (int i = 0; i < ns; i++) {
		int ps = rnd.next(1, (int) str.size());
		str[ps] = char('a' + rnd.next(0, alph - 1));
	}
}

int main(int argc, char ** argv) {
    registerGen(argc, argv);
	int n = atoi(argv[1]);
	string str = argv[2];
	int ns = atoi(argv[3]);
	int k = str.size();
	n = n - n % k;
	int m = n / k;
	vector <int> sh(m);
	for (int i = 0; i < m; i++)
		sh[i] = rnd.next(0, k - 1);
	string res = "";
   	for (int i = 0; i < k; i++)
   		for (int j = 0; j < m; j++) {
	       	res += str[sh[j]];       
	    	sh[j]++;
	    	if (sh[j] == k)
	    		sh[j] = 0;
	    }
	make_noise(res, ns);

	cout << n << ' ' << k << endl;
	cout << res << endl;

    return 0;
}