//	#pragma comment(linker, "/STACK:60000000")
#include <iostream>
#include <cstdio>
#include <cmath>
#include <ctime>
#include <cstdlib>
#include <cstring>
#include <cassert>
#include <algorithm>
#include <vector>
#include <set>
#include <string>
#include "testlib.h"

#define pb push_back
#define mp make_pair
#define fs first
#define sc second
#define len(x) (int((x).size()))
#ifdef LOCALD
#define eprintf(...) fprintf(stderr, __VA_ARGS__)
#else
#define eprintf(...) {}
#endif

#ifdef __linux__
#define I64d "%lld"
#else
#define I64d "%I64d"
#endif

typedef long long int int64;
typedef long double ext;
typedef unsigned int uint;                                      

using namespace std;

FILE *f;
char s[4];

const int iinf = 2000000000;

vector<int> vans[5];


int main(int argc, char *argv[])
{
	for (int i = 0; i < 5; i++){
		vans[i].clear();
		vans[i].pb(i + 1);
		for (;int64(vans[i].back()) <= iinf / 2;)
			vans[i].pb(vans[i].back() * 2);			
	}	

	registerGen(argc, argv, 1);
	int cnt = 125;
	printf("%d\n", cnt);
	for (int i = 1; i <= 7; i++){
		for (int j = 0; j <= min(4, 7 - i); j++){
			for (int z = 0; z < 5; z++){
				if (i > 1)
					printf("%d %d %d\n", i, j, max(2, vans[j][i - 1] + 1 + rnd.next(4) - rnd.next(7)));
				else
					printf("%d %d %d\n", i, j, max(2, rnd.next(100)));			}	
		}
	}
	
    return 0;
}
