#include <cstdio>
#include <algorithm>
#include <cstdlib>
#include <cassert>
#include <cstring>

#define mp make_pair

using namespace std;

const int N = 1e6 + 10;

int n;
char s[N];
int g[N][2];
short gln[N];
bool u[N];

int cTime[N];
short cnt[N];

pair<short, int> rmq[1 << 21];
int wh[N];

void make_rmq(int i, int l, int r){
	if (l == r){
		wh[l] = i;
		return void (rmq[i] = mp(cnt[l], l));
	}
	make_rmq(i * 2, l, (l + r) / 2);
	make_rmq(i * 2 + 1, (l + r) / 2 + 1, r);
	rmq[i] = min(rmq[i * 2], rmq[i * 2 + 1]);
}

void update(int index){
	int i = wh[index];
	rmq[i] = mp(cnt[index], index);
	i >>= 1;
	while (i >= 1){
		rmq[i] = min(rmq[i * 2], rmq[i * 2 + 1]);
		i >>= 1;
	}
}

void solve(){
        freopen("signs.in", "r", stdin);
        freopen("signs.out", "w", stdout);
	assert(scanf("%d%s", &n, s));
	memset(gln, 0, sizeof(int) * n);
	for (int i = 0; i < n - 1; i++){
		if (s[i] == '<')
			g[i + 1][gln[i + 1]++] = i;
		else if (s[i] == '>')
			g[i][gln[i]++] = i + 1;
		else
			assert(false);
	}
	memset(cnt, 0, sizeof(int) * n);
	for (int i = 0; i < n; i++){
		int size = gln[i];
		for (int j = 0; j < size; j++)
			++cnt[g[i][j]];
	}
	make_rmq(1, 0, n - 1);
	int curTime = n;
	for (int i = 0; i < n; i++){
		int index = rmq[1].second;
		assert(index < n);
		cnt[index] = 1e9;
		update(index);
		cTime[index] = curTime--;
		int size = gln[index];
		for (int j = 0; j < size; j++)
			--cnt[g[index][j]], update(g[index][j]);
	}
	for (int i = 0; i < n; i++)
		printf("%d%c", cTime[i], " \n"[i == n - 1]);
}

int main(){
//	int t; assert(scanf("%d", &t));
//	for (int i = 0; i < t; i++)
		solve();
	return 0;
}