// откусываем висячие вершинки
// проверяем, что откусывание идёт до вершин степени три
// откусываем дальше
// проверяем, что сошлись в одну вершину

#include <cstdio>
#include <cassert>
#include <algorithm>
#include <cstdlib>
#include <vector>
using namespace std;

const int N = 200500;
bool ate[N];
vector<int> E[N];


void die()
{
    puts("NO");
    exit(0);
}


int eat(int x, int p = -1)
{
    if (E[x].size() != 1 && E[x].size() != 2)
        return x;
    if (E[x].size() == 1 && p == E[x].back())
        die();
    ate[x] = true;
    int y = (E[x].back() == p) ? E[x].front() : E[x].back();
    return eat(y, x);
}
vector<int> C;

int main()
{
    freopen("map.in", "r", stdin);
    freopen("map.out", "w", stdout);
    int n, m;
    scanf("%d %d", &n, &m);
    for (int i = 0; i < m; i++)
    {
        int a, b;
        scanf("%d %d", &a, &b);
        E[a].push_back(b);
        E[b].push_back(a);
    }
    for (int i = 1; i <= n; i++)
        if (E[i].size() == 1)
            C.push_back(eat(i));
    for (int i = 0; i < C.size(); i++)
    {
        if (E[C[i]].size() != 4)
            die();
        ate[C[i]] = true;
    }
    int r = -1;
    for (int i = 0; i < C.size(); i++)
    {
        int y = 0;
        for (int j = 0; j < E[C[i]].size(); j++)
            if (ate[E[C[i]][j]])
                swap(E[C[i]][j], E[C[i]].back()), E[C[i]].pop_back(), --j;
        if (E[C[i]].size() != 1)
            die();
        int t = eat(C[i]);
        if (r != -1 && r != t)
            die();
        else
            r = t;
    }
    if (r == -1)
        die();
    if (E[r].size() != C.size())
        die();
    puts("YES");
}