#include <cstdio>
using namespace std;

const int N = 10000000;

int sum[N + 1];

void init()
{
    for (int i = 2; i <= N; i++)
    {
        if (!sum[i])
            if (i < N / i + 1)
                for (int j = i * i; j <= N; j += i)
                    sum[j] = 1;
        sum[i] = sum[i - 1] + !sum[i];
    }
}

void solve()
{
    int l, k;
    scanf("%d %d", &l, &k);
    if (sum[l + 1] > k)
    {
        int a = 2;
        int b = N - l + 2;
        int ans = -1;
        while (true)
        {
            int m = (a + b) / 2;
            if (sum[m + l - 1] - sum[m - 1] > k)
                a = m;
            else if (sum[m + l - 1] - sum[m - 1] < k)
                b = m;
            else
            {
                ans = m;
                break;
            }
        }
        printf("%d %d\n", ans, ans + l - 1);
    }
    else
        printf("-1\n");
}

int main()
{
#ifndef LOCAL42
    freopen("primes.in", "r", stdin);
    freopen("primes.out", "w", stdout);
#endif
    init();
    int T;
    scanf("%d", &T);
    for (int i = 0; i < T; i++)
        solve();
}
