#include <cstdio>
#include <algorithm>
using namespace std;

const int N = 10000000;

int sum[N + 1];
int pt = 0;
int P[N / 10];

int rpt = -1;
void init()
{
    for (int i = 2; i <= N; i++)
    {
        if (!sum[i])
        {
            P[pt++] = i;
            if (i < N / i + 1)
                for (int j = i * i; j <= N; j += i)
                    sum[j] = 1;
        }
        sum[i] = sum[i - 1] + !sum[i];
    }
    rpt = pt;
}

int ans1[N / 100], ans2[N / 100];

inline void solve(int l, int k, int i)
{
    scanf("%d %d", &l, &k);
    if (sum[l + 1] >= k)
    {
        int a = 2;
        while (P[rpt - 1] + l > N)
            --rpt;
        int b = rpt;

        while (b - a > 1)
        {
            int m = (a + b) / 2;
            if (sum[P[m] + l - 1] - sum[P[m] - 1] >= k)
                a = m;
            else
                b = m;
        }
        a = P[a];
        while (sum[a + l - 1] - sum[a - 1] > k)
            a++;
        while (sum[a + l - 1] - sum[a - 1] < k)
            a--;

        ans1[i] = a, ans2[i] = a + l - 1;
    }
    else
        ans1[i] = -1;
}

pair<pair<int, int>, int> Q[N / 100];

int main()
{
#ifndef LOCAL42
    freopen("primes.in", "r", stdin);
    freopen("primes.out", "w", stdout);
#endif
    init();
    int T;
    scanf("%d", &T);
    for (int i = 0; i < T; i++)
        scanf("%d %d", &Q[i].first.first, &Q[i].first.second), Q[i].second = i;
    sort(Q, Q + T);
    for (int i = 0; i < T; i++)
        solve(Q[i].first.first, Q[i].first.second, Q[i].second);
    for (int i = 0; i < T; i++)
        if (ans1[i] != -1)
            printf("%d %d\n", ans1[i], ans2[i]);
        else
            printf("-1\n");
    return 0;
}
