#include <cstdio>
#include <vector>
#include <algorithm>
using namespace std;
#define pb push_back
#define mp make_pair
#define fs first
#define sc second
#define sz(a) ((int) (a).size())

int n, m, pos, x, y;
vector< pair<int, int> > path;
bool transposed;

char get_direction(const pair<int, int>& p1, const pair<int, int>& p2) {
	if (p2.sc == p1.sc + 1)
		return 'R';
	if (p2.sc == p1.sc - 1)
		return 'L';
	if (p2.fs == p1.fs + 1)
		return 'D';
	return 'U';
}

int main() {
	scanf("%d%d", &n, &m);
	vector< pair<int, int> > path;
	if ((m % 2 != 0) && (n % 2 == 0))
		swap(n, m), transposed = true;
	for (int t = 0; t < 2; ++t) {
		for (int i = 0; i < m - 1; ++i)
			path.pb(mp(0, i));
		if (m % 2 == 1) {
			if (t == 0)
				path.pb(mp(0, m - 1)), path.pb(mp(1, m - 1)), path.pb(mp(2, m - 1)), path.pb(mp(2, m - 2));
			else
				path.pb(mp(1, m - 2)), path.pb(mp(1, m - 1)), path.pb(mp(2, m - 1)), path.pb(mp(2, m - 2));
			for (int i = 3; i + 1 < n; i += 2)
				path.pb(mp(i, m - 2)), path.pb(mp(i, m - 1)), path.pb(mp(i + 1, m - 1)), path.pb(mp(i + 1, m - 2));
			for (int i = n - 1; i >= 1; --i)
				path.pb(mp(i, m - 3));
		} else
			path.pb(mp(0, m - 1));
		for (int j = m - ((m % 2) ? 4 : 1); j - 1 >= 0; j -= 2) {
			for (int i = 1; i < n; ++i)
				path.pb(mp(i, j));
			for (int i = n - 1; i >= 1; --i)
				path.pb(mp(i, j - 1));
		}
	}
	if (transposed) {
		swap(n, m);
		for (int i = 0; i < sz(path); ++i)
			swap(path[i].fs, path[i].sc);
	}
	pos = -1;
	while (pos == -1) {
		reverse(path.begin(), path.end());
		for (int i = 0; i < sz(path); ++i)
			if ((path[i] == mp(0, 0)) && (path[(i + 1) % sz(path)] == mp(0, 1)) && (path[(i + 2) % sz(path)] == mp(0, 2))) {
				pos = (i + 2) % sz(path);
				break;
			}
	}
	while (scanf("%d%d", &x, &y) && (x--) && (y--)) {
		while (path[pos] != mp(x, y))
			printf("%c", get_direction(path[pos], path[(pos + 1) % sz(path)])), pos = (pos + 1) % sz(path);
		printf("\n");
		fflush(stdout);
	}
}