#include "testlib.h"
#include <cmath>
#include <iostream>
#include <cstdio>
#include <cstdlib>
#include <vector>
#include <set>

using namespace std;

/*double dist(int x, int y) {
    return sqrt(x * 1ll * x + y * 1ll * y);
}*/
long long dist(int x, int y) {
    return x * 1ll * x + y * 1ll * y;
}

//center of cirlce always in 0 0

void first() {
    int n = 100;
    int r = rnd.wnext(800, 1000, 2);
    cout << n << " " << r << " 0 0" << endl;
    for (int i = 0; i < n; ++i) {
        int x = rnd.next(0, r);
        int y = rnd.next(0, r);
        if (dist(x, y) >= r) {
            --i;
            continue;
        }
        cout << x << " " << y << endl;
    }
}

void second() {
    vector<pair<double, pair<int, int> > > a;
    int n = 100;
    int r = 2 * 5 * 7 * 11;
    cout << n << " " << r << " 0 0" << endl;
    for (int i = -r; i <= r; ++i)
        for (int j = -r; j <= r; ++j) {
            if (dist(i, j) <= r * r)
                a.push_back(make_pair(r - dist(i, j), make_pair(i, j)));
        }
    sort(a.begin(), a.end());
    for (int i = 0; i < n; ++i)
        cout << a[i].second.first << " " << a[i].second.second << endl;
}


void third() {
    int n = 100;
    int r = 1000;
    cout << n << " " << r << " 0 0" << endl;
    vector<pair<int, int> > a;
    for (int i = 0; i <= r; ++i) {
        a.push_back(make_pair(0, -i));
        a.push_back(make_pair(0, i));
        a.push_back(make_pair(i, 0));
        a.push_back(make_pair(-i, 0));
    }
    shuffle(a.begin(), a.end());
    for (int i = 0; i < n; ++i)
        cout << a[i].first << " " << a[i].second << endl;
}
void four() {
    cerr << "!" << endl;
    int n = 100;
    int r = 1000;
    cout << n << " " << r << " 0 0" << endl;
    vector<pair<int, int> > a;
    for (int i = 0; i <= r; ++i) {
        if (sqrt(i * 1ll * i * 2) > r) break;
        a.push_back(make_pair(-i, -i));
        a.push_back(make_pair(i, i));
        a.push_back(make_pair(-i, i));
        a.push_back(make_pair(i, -i));
        a.push_back(make_pair(0, i));
        a.push_back(make_pair(0, -i));
        a.push_back(make_pair(i, 0));
        a.push_back(make_pair(-i, 0));
    }
    shuffle(a.begin(), a.end());
    for (int i = 0; i < n; ++i)
        cout << a[i].first << " " << a[i].second << endl;
}

void five() {
    vector<pair<double, pair<int, int> > > a;
    int n = 100;
    int r = 2 * 5 * 7 * 11;
    cout << n << " " << r << " 0 0" << endl;
    for (int i = -r; i <= r; ++i)
        for (int j = -r; j <= r; ++j) {
//	    if (i < 0 && j < 0)
//	      continue;
//            if (zx.find(i) != zx.end() || zy.find(j) != zy.end())
//                continue;
            if (dist(i, j) <= r * r) {
                a.push_back(make_pair(r - dist(i, j), make_pair(i, j)));
//                zx.insert(i);
//                zy.insert(j);
            }
        }
    sort(a.begin(), a.end());
    vector<pair<int, int> > ans;
    set<int> zx, zy;
    set<pair<int, int> > z;
    for (int i = 0; i < a.size(); ++i) {
	int x = a[i].second.first;
	int y = a[i].second.second;
	if (z.find(make_pair(abs(x), abs(y))) != z.end())
	    continue;
	//if (zx.find(x) != zx.end() || zy.find(y) != zy.end())
	//    continue;
	ans.push_back(make_pair(x, y));
	//zx.insert(x);
	//zy.insert(y);
	z.insert(make_pair(abs(x), abs(y)));
    }
    if (ans.size() < n)
	ans.resize(n);

    for (int i = 0; i < n; ++i)
        cout << ans[i].first << " " << ans[i].second << endl;
}


//argv[1] -- num with what starts

int main(int argc, char * argv[]) {
registerGen(argc, argv);
int it = 0;
for (int tests = atoi(argv[1]); tests < 5 + atoi(argv[1]); ++tests, ++it) {
    char s[10];
    sprintf(s, "%d", tests);
    freopen(s, "w", stdout);
    if (it == 0) first();
//    cerr << "!" << endl;
    if (it == 1) second();
    if (it == 2) third();
    if (it == 3) four();
    if (it == 4) five(); 
}
}