#include <iostream>
#include <cmath>
#include <cstdio>
#include <vector>

using namespace std;

int main() {
    freopen("cake.in","r",stdin);
    freopen("cake.out","w",stdout);
    int n, r, cx, cy;
//    cin >> n >> r >> cx >> cy;
    scanf("%d%d%d%d", &n, &r, &cx, &cy);
    cerr << n << " " << r << " " << cx << " " << cy << endl;

    vector<pair<double, double> > ans; 

    for (double x = r; x > -r; x -= (2 * r) * 1.0 / 110) {
        ans.push_back(make_pair(cx + x, cy + sqrt(r * r - x * x)));
    }
    for (double x = -r; x < r; x += (2 * r) * 1.0 / 110) {
        ans.push_back(make_pair(cx + x, cy + -sqrt(r * r - x * x)));
    }

    printf("%d\n", ans.size());
    for (int i = 0; i < ans.size(); ++i)
        printf("%.6f %.6f\n", ans[i].first, ans[i].second);
}
