#include "testlib.h"
#include <cstdio>
#include <cmath>
#include <cstdlib>
#include <cassert>
#include <ctime>
#include <cstring>
#include <string>
#include <set>
#include <map>
#include <vector>
#include <list>
#include <deque>
#include <queue>
#include <sstream>
#include <iostream>
#include <algorithm>

using namespace std;

#define pb push_back
#define mp make_pair
#define fs first
#define sc second

const double pi = acos(-1.0);


int main(int argc, char ** argv) {	
	registerGen(argc, argv);
	if (argc != 5) {
		cerr << "Usage: n, k, alph, seed" << endl;
		
		return 1;
	}

	int n = atoi(argv[1]);
	int k = atoi(argv[2]);
	int alph = atoi(argv[3]);

	vector <char> smbs;
	for (char a = 'a'; a <= 'z'; a++)
		smbs.pb(a);
	shuffle(smbs.begin(), smbs.end());


	cout << n << ' ' << k << endl;
	for (int i = 0; i < n; i++)
		cout << smbs[rnd.next(0, alph - 1)];
	cout << endl;

	return 0;
}