if [ "$1" = "" ]; then
    read
fi
if [ "$2" = "" ]; then
    read
fi
if [ ! -f "$1" ]; then
    read
fi
echo "Running validator"
wine files/towin.exe "$1" | wine files/validate.exe
if [ "$?" -ne "0" ]; then
    read
fi
cp $1 tourism.in
echo "Running solution solution_dg_ok_topsort.cpp"
wine solutions/solution_dg_ok_topsort.exe
if [ "$?" -ne "0" ]; then
    echo "Solution returned non-zero exit code"
    read
fi
rm -f tourism.in
if [ ! -f "tourism.out" ]; then
    echo "Solution didn't produced output [tourism.out]"
    read
fi
mv "tourism.out" "$2"
echo "Running checker"
wine check.exe $1 $2 $2
if [ "$?" -ne "0" ] && [ "$?" -ne "7" ]; then
    echo "Checker exit code is not equal to 0 and 7"
    read
fi
