#include <cstdio>
#include <algorithm>
#include <cstdlib>
#include <cassert>
#include <cstring>

using namespace std;

const int N = 2e6 + 10;

int n;
char s[N];
int g[N][2], gln[N];
bool u[N];

int cTime[N];
int curTime = 0;

pair<int, int> stack[N];
int stackLen = 0;

void topSort(int v){
	if (u[v])
		return ;
	stack[stackLen++] = make_pair(v, -1);
	while (stackLen > 0){
		stack[stackLen - 1].second++;
		int v = stack[stackLen - 1].first, p = stack[stackLen - 1].second;
		u[v] = true;
		if (p >= gln[v]){
			cTime[v] = ++curTime;
			stackLen--;
		}
		else if (!u[g[v][p]])
			stack[stackLen++] = make_pair(g[v][p], -1);
	}
}

void solve(){
	assert(scanf("%d%s", &n, s));
	memset(gln, 0, sizeof(int) * n);
	for (int i = 0; i < n - 1; i++){
		if (s[i] == '<')
			g[i + 1][gln[i + 1]++] = i;
		else if (s[i] == '>')
			g[i][gln[i]++] = i + 1;
		else
			assert(false);
	}
	memset(u, 0, sizeof(bool) * n);
	curTime = 0;
	for (int i = 0; i < n; i++)
		topSort(i);
	for (int i = 0; i < n; i++)
		printf("%d%c", cTime[i], " \n"[i == n - 1]);
}

int main(){
        freopen("signs.in", "r", stdin);
        freopen("signs.out", "w", stdout);
//	int t; assert(scanf("%d", &t));
//	for (int i = 0; i < t; i++)
		solve();
	return 0;
}