#include "testlib.h"
#include <iostream>

using namespace std;

const int M = 200000;
const int N = 200000;

int c[M+1];
pair<int, int> p[N];

int main(int argc, char **argv)
{
    registerTestlibCmd(argc, argv);

    int ja = ans.readInt();
    int pa = ouf.readInt();
    if (ja != pa) {
        quitf(_wa, "Count of matrioshkas is incorrect.");
    } else {
		long long sum = 0;
		for (int i = 0; i < ja; i++) {
			p[i].first = ouf.readInt(1, M);
			p[i].second = ouf.readInt(p[i].first, M);
			sum += p[i].second - p[i].first + 1;
		}
		int n = inf.readInt();
		if (sum > n) {
			quitf(_wa, "There are too many matrioshkas.");
		} else if (sum < n) {
			quitf(_wa, "There are not enough matrioshkas.");
		}
		int cnt = 0;
		for (int i = 0; i < ja; i++) {
			for(int j = p[i].first; j <= p[i].second; j++) {
				if (c[j] == 0) {
					cnt++;
				}
				c[j]++;
			}
			int l = ans.readInt(), r = ans.readInt();
			for(int j = l; j <= r; j++) {
				if (c[j] == 1) {
					cnt--;
				}
				c[j]--;
			}
		}
		if (cnt == 0) {
			quitf(_ok, "OK");
		} else {
			quitf(_wa, "There is at least one matrioshka which can not exist.");
		}
    }
}
