import random
from sys import argv, stderr

N = int(argv[1])
K = int(argv[2])
MAX_M = int(argv[3])
GTC = int(argv[4])
GTE = int(argv[5])
SEED = int(argv[-1])

if N < 1+3*K:
#    print("N is too little", file=stderr)
    exit(1)
if N-1+K+GTC > MAX_M:
#    print("Edge number is too big", file=stderr)
    exit(1)
if GTC*2 > K:
#    print("Too many goeses through center", file=stderr)
    exit(1)
if GTE > K:
#    print("Too many goeses through ends", file=stderr)
    exit(1)

random.seed(SEED)
M = N-1+K+GTC
rays = [3] * K
M_NEED = M - 4*K - GTC
for i in range(M_NEED):
    rays[random.randint(0, K-1)] += 1


for i in range(1, K):
    rays[i] += rays[i-1]

V = []
for i in range(len(rays)):
    if i == 0:
        V.append([0, 1])
        for j in range(rays[0]-1):
            V.append([j+1, j+2])
    else:
        V.append([0, rays[i-1]+1])
        for j in range(rays[i]-rays[i-1]-1):
            V.append([j+1+rays[i-1], j+2+rays[i-1]])

ring = [-1] * K

ring[0] = random.randint(2, rays[0]-1)
for i in range(1, K):
    ring[i] = random.randint(rays[i-1]+2, rays[i]-1)

avaible = set(range(K))
for i in range(GTE):
    a = random.choice(list(avaible))
    ring[a] = rays[a]
    avaible.remove(a)


GTCS = []
ll = [False] * K

for i in range(GTC):
    tl = []
    for j in range(K):
        if not ll[j]:
            tl.append(j)
    j = random.choice(tl)
    GTCS.append(j)
    ll[j] = True
    ll[(j+1)%K] = True
    ll[(j-1)%K] = True

ll = [False] * K
for v in GTCS:
    ll[v] = True

for i in range(K):
    if ll[i]:
        V.append([ring[i], 0])
        V.append([ring[i-1], 0])
    else:
        V.append([ring[i], ring[i-1]])

random.shuffle(V)
for i in range(len(V)):
    random.shuffle(V[i])

l = list(range(N))
random.shuffle(l)
for i in range(len(V)):
    V[i][0] = l[V[i][0]]+1
    V[i][1] = l[V[i][1]]+1

print N, len(V)
for u, v in V:
    print u, v
