import random
from sys import argv, stderr

N = int(argv[1])
MAX_M = int(argv[2])
SEED = int(argv[-1])

random.seed(SEED)

if 2*N*N+2*N > MAX_M:
#    print("N is too little", file=stderr)
    exit(1)

V = []

for j in range(N):
    for i in range(1, N):
        V.append([j*N+i-1, j*N+i])
for j in range(1, N):
    for i in range(N):
        V.append([(j-1)*N+i, j*N+i])

for i in range(N):
    V.append([i, i+N**2])
for i in range(N):
    V.append([N*(i+1)-1, i+N+N**2])
for i in range(N):
    V.append([N*(N-1)+i, i+2*N+N**2])
for i in range(N):
    V.append([N*i, i+3*N+N**2])

N = N**2 + 4*N

random.shuffle(V)

l = list(range(N))
random.shuffle(l)
for i in range(len(V)):
    V[i][0] = l[V[i][0]]+1
    V[i][1] = l[V[i][1]]+1
    random.shuffle(V[i])

print N, len(V)
for u, v in V:
    print u, v
