#include <iostream>
#include <cmath>
#include <cstdio>
#include <cstdlib>
using namespace std;

// takes string with parametrs of len_steps.

#define MIN_REQUEST 7000
#define MAX_REQUEST 100000

#define MAX_REQUEST_N ((unsigned int)100000)

int big_rand(int a, int b)
{
    if (b < a)
        b = a;
	long long x = (long long)rand() * RAND_MAX + rand();
	return a + x % (b - a + 1);
}

int main(int argc, char* argv[])
{
	ios::sync_with_stdio(false);

	int test_n = atoi(argv[1]);
	int seed = atoi(argv[2]);	
	
	cout << test_n << endl;
	for (int i = 0; i < test_n; ++i) {
		int len = big_rand(59000, MAX_REQUEST);
        //fprintf(stderr, "%d %lf\n", len);
		int k = big_rand(MIN_REQUEST, MIN_REQUEST + 1.2 * (1.05 * len / log(len) - MIN_REQUEST));
		cout << len << " " << k << endl;
	}
	return 0;
}
