import java.util.*;
import java.io.*;

public class Snake_la {
	FastScanner in;
	PrintWriter out;
	
	public void solve() throws IOException {
		int N = in.nextInt();
		int M = in.nextInt();
		
		ArrayList<Character> sequence = new ArrayList<Character>();
				
		if (N % 2 == 0 || M % 2 == 0) {
			if (N % 2 == 0) {
				int y = 3;
				for (int i = 1; i <= N; i++) {
					if (i % 2 == 1) {
						while (y < M) {
							sequence.add('R');
							y++;
						}
						sequence.add('D');
					} else {
						while (y > 2) {
							sequence.add('L');
							y--;
						}
						sequence.add(i == N ? 'L' : 'D');
					}
				}
				for (int i = N; i >= 2; i--)
					sequence.add('U');				
				sequence.add('R');
				sequence.add('R');
			} else {
				int y = 3;
				while (y < M) {
					sequence.add('R');
					y++;
				}
				int x = 1;
				for (int i = M; i >= 1; i--) {
					if (i % 2 == 0) {
						while (x < N) {
							sequence.add('D');
							x++;
						}
						sequence.add('L');
					} else {
						while (x > 2) {
							sequence.add('U');
							x--;
						}
						sequence.add(i == 1 ? 'U' : 'L');
					}
				}
				sequence.add('R');
				sequence.add('R');
			}
		} else {
			for (int event = 1; event <= 2; event++) {
				int y = 3;
				for (int i = 1; i < N - 1; i++) {
					if (i % 2 == 1) {
						while (y < M) {
							sequence.add('R');
							y++;
						}
						sequence.add('D');
					} else {
						while (y > 2) {
							sequence.add('L');
							y--;
						}
						sequence.add('D');
					}
				}
				sequence.add('D');
				sequence.add('L');
				y--;
				while (y != 2) {
					sequence.add('U');
					sequence.add('L');
					sequence.add('D');
					sequence.add('L');
					y -= 2;
				}
				if (event == 1) {
					sequence.add('L');					
					y = N;
				} else {
					sequence.add('U');									
					sequence.add('L');
					y = N - 1;
				}
				while (y > 1) {
					sequence.add('U');
					y--;
				}
				sequence.add('R');
				sequence.add('R');
			}
		}
		
		int curX = 1, curY = 3;
		int curPosition = 0;
		do {
			int R = in.nextInt();
			int C = in.nextInt();
			
			if (R == 0 && C == 0)
				return;
			
			String result = "";
			while (curX != R || curY != C) {
				char next = sequence.get(curPosition);
				curPosition++;
				if (curPosition >= sequence.size())
					curPosition -= sequence.size();
				
				switch(next) {
					case 'L': curY--;
							  break;
					case 'R': curY++;
					  		  break;
					case 'U': curX--;
					          break;
					case 'D': curX++;
					          break;
				}				
				
				result += next;
			}
			
			out.println(result);
			out.flush();
		} while (true);
	}
	
	public void run() {
		try {
			in = new FastScanner(System.in);
			out = new PrintWriter(System.out);
			
			solve();
			
			out.close();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}
	
	public static void main(String[] arg) {
		new Snake_la().run();
	}
	
	static class FastScanner {
		BufferedReader br;
		StringTokenizer st;
		
		FastScanner(InputStream in) throws IOException {
			br = new BufferedReader(new InputStreamReader(in));
		}
		
		String next() {
			while (st == null || !st.hasMoreTokens()) {
				try {
					st = new StringTokenizer(br.readLine());
				} catch (IOException e) {
					e.printStackTrace();
					return "";
				}
			}
			return st.nextToken();
		}
		
		int nextInt() {
			return Integer.parseInt(next());
		}
	}
}
