from sys import exit, stdout, stderr

n, m = map(int, raw_input().split())


# building hamiltonians
H = []
rev = False
if m % 2 != 0 and n % 2 == 0:
    rev = True
    n, m = m, n
if m % 2 == 0:
    H.append([(1, j) for j in range(1, m + 1)] +
        sum(
            [[(i, j) for i in range(2, n + 1)] + [(i, j - 1) for i in range(n, 1, -1)] 
            for j in range(m, 0, -2)], []
        ))
if rev:
    n, m = m, n
    H[0] = list(reversed(map(tuple, map(reversed, map(list, H[0])))))
    H[0] = H[0][-1:] + H[0][:-1]

if n % 2 == 1 and m % 2 == 1:
    L = [(1, j) for j in range(1, m + 1)] + sum(
            [[(i, j) for i in (range(2, n + 1) if j % 2 == 1 else range(n, 1, -1))
            ] for j in range(m, 2, -1)], []
        ) + sum([[(i, 2), (i, 1), (i - 1, 1), (i - 1, 2)] for i in range(n, 3, -2)], [])
    H.append(L + [(3, 2), (2, 2), (2, 1)])
    H.append(L + [(3, 2), (3, 1), (2, 1)])

#print(H)
for h in H:
    assert len(h) == ((n * m) // 2) * 2
        
def diff(a, b):
    if b[1] == a[1] + 1:
        return 'R'
    elif b[0] == a[0] - 1:
        return 'U' 
    elif b[1] == a[1] - 1:
        return 'L'
    elif b[0] == a[0] + 1:
        return 'D'
    else:
        raise Exception("WAT?")
    
head = (1, 3)


while True:
    y, x = map(int, raw_input().split())
    if y == 0 and x == 0:
        break
    apple = (y, x)
    hh = None
    ho = None
    ha = None
    for h in H:
        if (head in h) and (apple in h):
            hh = h
        if (head in h):
            ho = h
        if (apple in h):
            ha = h
    s = ''
    assert not (ha is None) and not (ho is None)
    if hh is None:
        assert head == (2, 2) or head == (3, 1)
        s = 'U' if head[1] == 1 else 'L'
        head = (2, 1)
        hh = ha
    ida = hh.index(head)
    idb = hh.index(apple)
    s += ''.join(diff(hh[i % len(hh)], hh[(i + 1) % len(hh)]) for i in range(ida, (idb if idb >= ida else idb + len(hh))))
    print(s)
    head = apple
    stdout.flush()
    
    
